Bug 57024 - Installing Packages failed unexpectedly on somewhat heavy task
Installing Packages failed unexpectedly on somewhat heavy task
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-03 11:01 EST by Rabbe Fogelholm
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-15 14:37:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rabbe Fogelholm 2001-12-03 11:01:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
When trying to run /usr/bin/up2date, and there were some 30 packages
selected for update, the download phase went fine but the installation
phase failed with console diagnostic as given below.



Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
Sorry, cannot describe exactly how to reproduce. You would need a
RH 7.1 machine that was freshly installed this summer, then slightly
updated in August, and then subject to a /usr/bin/up2date session
this day (3rd December).
	

Actual Results:  In the console window from which I launched /usr/bin/up2date:

File "/usr/share/rhn/up2date/gui.py", line 592, in doInstallation ..
File "/usr/share/rhn/up2date/up2date.py", line 2518, in InstallPackages

    error = errors + e + "\n"

TypeError: illegal argument type for built-in operation

Additional info:
Comment 1 Rabbe Fogelholm 2001-12-03 11:06:33 EST
I forgot ... I should have added that this failure was NOT a total
show-stopper. I proceeded to do some partial updates, selecting a single package
to start with, then the entire set of TeX pcakages, then the rest. Doing so
caused all the updates to complete without problems. I also noted that these
repeated runs of up2date did not cause any files to be downloaded, as that had
been done successfully already.
Comment 2 Adrian Likins 2002-04-30 15:39:22 EDT
This should be fixed in the current errataed packages.
Comment 3 Jay Turner 2002-05-15 08:48:05 EDT
Are you still seeing this issue?
Comment 4 Adrian Likins 2002-05-15 16:11:36 EDT
I'm positive this bug has been fixed in the current client, so closing bug.

Note You need to log in before you can comment on or make changes to this bug.